summaryrefslogtreecommitdiff
path: root/postfix/cron.weekly/local-purgeoldtrashedmails
diff options
context:
space:
mode:
authorroot <root@mail.bitbase.dk>2009-05-22 15:49:22 +0200
committerroot <root@mail.bitbase.dk>2009-05-22 15:49:22 +0200
commitddc0cd8da4a4a6c7607bf4f680e3283797c8872a (patch)
tree4bd4fcf1ec123bd2105782062d42b58a3f812595 /postfix/cron.weekly/local-purgeoldtrashedmails
parentfd39155673473cde65f10c12098392680b62d452 (diff)
parent37f949dc3927dd3f24fd03f45e80de776ec2868e (diff)
Merge branch 'master' of git://source.jones.dk/local-COMMON
Diffstat (limited to 'postfix/cron.weekly/local-purgeoldtrashedmails')
-rwxr-xr-xpostfix/cron.weekly/local-purgeoldtrashedmails9
1 files changed, 9 insertions, 0 deletions
diff --git a/postfix/cron.weekly/local-purgeoldtrashedmails b/postfix/cron.weekly/local-purgeoldtrashedmails
new file mode 100755
index 0000000..7674508
--- /dev/null
+++ b/postfix/cron.weekly/local-purgeoldtrashedmails
@@ -0,0 +1,9 @@
+#!/bin/sh
+#
+# Purge trashed mails older than 2 months
+
+set -e
+
+find /home/*/Maildir/.Trash /home/*/Maildir/.Trash.* /home/*/Maildir/.INBOX_Trash /home/*/Maildir/.trash /home/*/Maildir/.Deleted\ Messages /home/*/Maildir/.Deleted\ Items /home/*/Maildir/.Slettet\ post -type f -mtime +60 -exec rm -f '{}' ';'
+
+exit 0